import { DynamoDBClientConfig } from '@aws-sdk/client-dynamodb';
import { Session } from '@shopify/shopify-api';
import { SessionStorage } from '@shopify/shopify-app-session-storage';
export interface DynamoDBSessionStorageOptions {
    sessionTableName: string;
    shopIndexName: string;
    config?: DynamoDBClientConfig;
}
export declare class DynamoDBSessionStorage implements SessionStorage {
    private client;
    private options;
    constructor(opts?: DynamoDBSessionStorageOptions);
    storeSession(session: Session): Promise<boolean>;
    loadSession(id: string): Promise<Session | undefined>;
    deleteSession(id: string): Promise<boolean>;
    deleteSessions(ids: string[]): Promise<boolean>;
    findSessionsByShop(shop: string): Promise<Session[]>;
    private serializeId;
    private deserializeId;
    private serializeSession;
    private deserializeSession;
}
//# sourceMappingURL=dynamodb.d.ts.map